package cokr.xit.ens.modules.common.biztmplt;

import cokr.xit.ens.core.aop.EnsResponseVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Slf4j
@Component
public abstract class ResultProcTemplate implements EnsPhaseProcSupport<EnsResponseVO, Long> {


    /**
     * 갱신준비
     * @param sendMastIds
     * @return
     */
    @Override
    @Transactional(propagation = Propagation.REQUIRES_NEW)
    public EnsResponseVO statReady(List<Long> sendMastIds){
        log.info("no process");
        return null;
    }


    /**
     * 갱신시작
     * @param sendMastId
     * @return
     */
    @Override
    @Transactional(propagation = Propagation.REQUIRES_NEW)
    public EnsResponseVO statBegin(Long sendMastId) {
        log.info("no process");
        return null;
    }
}
